package com.fq.channel.sdk.base.constants;


import com.fq.channel.sdk.base.utils.AppInfoUtils;

import java.util.List;

/**
 * Created by Ethan on 2017/8/4.
 * 配置类
 */

public class AppConfig {


    /**
     * AppId
     */
    public static final String APP_ID = AppInfoUtils.getInstance().getAppId();



    /**
     * 渠道ID
     */
    public static final String CHANNEL_ID = AppInfoUtils.getInstance().getChannelId();

    /**
     * adId
     */
    public static final String AD_ID = AppInfoUtils.getInstance().getAdId();

    /**
     * adFlag
     */
    public static final String AD_FLAG = AppInfoUtils.getInstance().getAdFlag();

    /**
     * 凤起SDK的版本号
     */
    public static final String FQ_GAME_SDK_VERSION_CODE = AppInfoUtils.getInstance().getFqGameSdkVersionCode();

    /**
     * 游戏的版本信息
     */
    public static final String GAME_VERSION = AppInfoUtils.getInstance().getVersionCode() + "_" + AppInfoUtils.getInstance().getVersionName();


    /**
     * IMEI
     */
    public static String sImei;

    /**
     * 当前的uid
     */
    public static String sCurrentUid;

    /**
     * 当前token
     */
    public static String sCurrentToken;

    /**
     * 当前的凤起账号
     */
    public static String sCurrentAccount;

    /**
     * 客服电话号码
     */
    public static String sCustomerServerPhone = "";

    /**
     * 客服QQ
     */
    public static String sCustomerServerQq = "";

    /**
     * 是否禁用小球
     */
    public static boolean sIsFloatDisable = false;

    /**
     * 当前设备之前登录过的凤起账号
     */
    public static List<String> sLoggedinFqAccounts = null;

    /**
     * H5游戏的链接
     */
    public static String sH5GameUrl = "";

    /**
     * Td_AD_AppId
     */
    public static String sTdADAppId = "";

    /**
     * Td_GA_AppId
     */
    public static String sTdGAAppId = "";

    /**
     * Td_AD_Tdid
     */
    public static String sTdADTdid = "";

    /**
     * Mac
     */
    public static final String Mac = AppInfoUtils.getInstance().tryGetWifiMac();

    /**
     * AndroidId
     */
    public static final String AndroidId = "";
}
